Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface RegistryEntry

All Superinterfaces:
  ExtensibleObject, RegistryObject, Versionable

All Known Subinterfaces:
  ClassificationScheme, ExtrinsicObject, RegistryPackage, Service

public interface RegistryEntry
extends RegistryObject, Versionable

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary
`static int` | `STABILITY_DYNAMIC`
`static int` | `STABILITY_DYNAMIC_COMPATIBLE`
`static int` | `STABILITY_STATIC`
`static int` | `STATUS_APPROVED`
`static int` | `STATUS_DEPRECATED`
`static int` | `STATUS_SUBMITTED`
`static int` | `STATUS_WITHDRAWN`

Method Summary
`Date` | `getExpiration()`
`int` | `getStability()`
`int` | `getStatus()`
`void` | `setExpiration(Date expiration)`
`void` | `setStability(int stability)`

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Methods inherited from interface javax.xml.registry.infomodel.Versionable
`getMajorVersion, getMinorVersion, getUserVersion, setMajorVersion, setMinorVersion, setUserVersion`

Field Detail

### STABILITY_DYNAMIC

    public static final int STABILITY_DYNAMIC

See Also:
  Constant Field Values

### STABILITY_DYNAMIC_COMPATIBLE

    public static final int STABILITY_DYNAMIC_COMPATIBLE

See Also:
  Constant Field Values

### STABILITY_STATIC

    public static final int STABILITY_STATIC

See Also:
  Constant Field Values

### STATUS_APPROVED

    public static final int STATUS_APPROVED

See Also:
  Constant Field Values

### STATUS_DEPRECATED

    public static final int STATUS_DEPRECATED

See Also:
  Constant Field Values

### STATUS_SUBMITTED

    public static final int STATUS_SUBMITTED

See Also:
  Constant Field Values

### STATUS_WITHDRAWN

    public static final int STATUS_WITHDRAWN

See Also:
  Constant Field Values

Method Detail

### getExpiration

    public Date getExpiration()
                       throws JAXRException

  Throws:
    `JAXRException`

### getStability

    public int getStability()
                     throws JAXRException

  Throws:
    `JAXRException`

### getStatus

    public int getStatus()
                  throws JAXRException

  Throws:
    `JAXRException`

### setExpiration

    public void setExpiration(Date expiration)
                       throws JAXRException

  Throws:
    `JAXRException`

### setStability

    public void setStability(int stability)
                      throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.